POST

Authorizations

Authorization
string
header
required

在请求头中传入:Authorization: Bearer sk-...

Path Parameters

action
enum<string>
required
Available options:
MUSIC,
LYRICS

Body

application/json

Suno 任务提交请求。音乐和歌词生成均为异步任务,提交成功后保存任务 ID 并查询状态。

prompt
string

歌曲主题、歌词要求或音乐方向。生成歌词时描述歌词内容;生成音乐时描述歌曲主题和整体氛围。

Example:

"写一首夏夜城市氛围的中文流行歌"

gpt_description_prompt
string

偏风格描述的提示词,用来收紧音乐方向、情绪、语言、声线和编曲。

Example:

"upbeat mandopop, summer night city, male vocal"

title
string

歌曲标题。

Example:

"夏夜街灯"

tags
string

风格标签。填写流派、情绪、速度、语言、声线和用途,例如 electronic, uplifting, product-launch。

Example:

"mandopop, upbeat, city-pop"

mv
string

模型版本或音乐版本参数。可选值以模型页或接口说明为准。

Example:

"chirp-v3-0"

continue_at
number

续写开始时间,单位一般为秒。

Example:

35.5

continue_clip_id
string

要续写的音频片段 ID。

task_id
string

原任务 ID。续写或基于已有任务再次生成时传入。

make_instrumental
boolean

是否生成纯音乐。true 表示不生成人声歌词。

Example:

false

Response

成功响应

The response is of type object.